# This is the same ID you specified in the judge admin panel
id: ExampleJudge
# The key this judge will use to authenticate with the site server, generated from the admin panel
key: "-t_qBN}_zr@WF_O(j>A]9:JR,-]@FMPN38(9Y:CDD]`ZT.|dYdH03q#;cN8?5s(gvu0LeSBMy3cc;06)pF)<nX]C=.Us^{#7w!9:"
# Where to look for problems on the local filesystem.
# This directory /not/ scanned recursively, and any directory containing an init.yml file is assumed to
# be a problem directory.
problem_storage_root:
  - /home/sync/problems
# All configuration for language executors
# If you're unsure of what values a language needs, your best bet is to consult the source of the executor:
runtime:
  ccl: /opt/ccl/lx86cl
  sed: /bin/sed
  awk: /usr/bin/awk
  gnatmake: /usr/bin/gnatmake
  chicken-csc: /usr/bin/csc
  dart: /opt/dart-sdk/bin/dart
  tclsh: /usr/bin/tclsh
  cobc: /usr/bin/cobc
  erl: /usr/bin/erl
  erlc: /usr/bin/erlc
  tprolog: /opt/turing/tprolog/tprolog
  tprologc: /opt/turing/tprolog/tprologc
  turing_dir: /opt/turing/tprolog
  node: /usr/bin/node
  lua: /usr/bin/lua
  ocaml: /usr/bin/ocamlopt
  pypy: /opt/pypy/bin/pypy
  pypydir: /opt/pypy/
  pypy3: /opt/pypy3/bin/pypy
  pypy3dir: /opt/pypy3/
  ghc: /usr/bin/ghc
  go: /usr/bin/go
  fsharpc: /usr/bin/fsharpc
  mono-csc: /usr/bin/mono-csc
  mono-vbnc: /usr/bin/vbnc
  mono: /usr/bin/mono
  dmd: /usr/bin/dmd
  fpc: /opt/fpc-2.6.4/bin/fpc
  clang: /usr/bin/clang
  clang++: /usr/bin/clang++
  gcc: /usr/bin/gcc
  g++: /usr/bin/g++
  g++11: /usr/bin/g++
  g++14: /opt/gcc-5.1.0/bin/g++
  gfortran: /usr/bin/gfortran
  nasm: /usr/bin/nasm
  ld: /usr/bin/ld
  python: /opt/python27/bin/python2.7
  python2dir: /opt/python27/
  python3: /opt/python34/bin/python3.4
  python3dir: /opt/python34/
  java: /usr/bin/java
  javac: /usr/bin/javac
  java8: /usr/lib/jvm/jdk-8-oracle-i586/bin/java
  javac8: /usr/lib/jvm/jdk-8-oracle-i586/bin/javac
  php: /usr/bin/php
  phpconfdir: /etc/php5/
  perl: /usr/bin/perl
  ruby19: /usr/bin/ruby1.9.1
  ruby21: /usr/bin/ruby
  racket: /opt/racket/bin/racket
  raco: /opt/racket/bin/raco
  racket-lib: /opt/racket/lib
  gnustep-config: /usr/bin/gnustep-config
  gobjc: /usr/bin/gcc
